import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppRoutingModule } from "./app-routing.module";
import { AppComponent } from "./app.component";

import { APP_BASE_HREF } from "@angular/common";
import { ListComponent } from "./list/list.component";
import { EmptyRouteComponent } from "./empty-route/empty-route.component";
import { FormsModule } from "@angular/forms";
import { AddUpdateUserComponent } from './add-update-user/add-update-user.component';
import { EquipmentCategoryListComponent } from './equipment-category-list/equipment-category-list.component';
import { EquipmentListComponent } from './equipment-list/equipment-list.component';
import { MonitoringStationListComponent } from './monitoring-station-list/monitoring-station-list.component';
import { AddUpdateMonitoringStationComponent } from './add-update-monitoring-station/add-update-monitoring-station.component';
import { AgmCoreModule } from '@agm/core';
@NgModule({
  declarations: [
    AppComponent,
    ListComponent,
    EmptyRouteComponent,
    AddUpdateUserComponent,
    EquipmentCategoryListComponent,
    EquipmentListComponent,
    MonitoringStationListComponent,
    AddUpdateMonitoringStationComponent,
  ],
  imports: [BrowserModule,
     AppRoutingModule,
      FormsModule,
      AgmCoreModule.forRoot({
        apiKey: 'AIzaSyBtNtYzlXXr0UWwv9A5u8Dy7j-_rQY1Qd4',
        libraries: ['places']
      })
    ],
    
  providers: [{ provide: APP_BASE_HREF, useValue: "/" }],
  bootstrap: [AppComponent],
})
export class AppModule {}
